KDE 4.7 PyKDE API Reference

- KDE's Python API

# CurrentLocationWidget Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Methods

| __init__ (self, QWidget parent=0, Qt::WindowFlags f=0)
bool | autoZoom (self)
QString | lastOpenPath (self)
QString | lastSavePath (self)
| setAutoZoom (self, bool activate)
| setLastOpenPath (self, QString path)
| setLastSavePath (self, QString path)
| setMarbleWidget (self, Marble.MarbleWidget widget)
| setRecenterMode (self, int recenterMode)
| setTrackVisible (self, bool visible)
bool | trackVisible (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

bool autoZoom | ( |  | self ) |

QString lastOpenPath | ( |  | self ) |

QString lastSavePath | ( |  | self ) |

setAutoZoom | ( | self, |
|  | bool | activate
| ) |  |  |

setLastOpenPath | ( | self, |
|  | QString | path
| ) |  |  |

setLastSavePath | ( | self, |
|  | QString | path
| ) |  |  |

setMarbleWidget | ( | self, |
|  | Marble.MarbleWidget | widget
| ) |  |  |

Set a MarbleWidget associated to this widget.

Parameters:

  | widget | the MarbleWidget to be set.

setRecenterMode | ( | self, |
|  | int | recenterMode
| ) |  |  |

setTrackVisible | ( | self, |
|  | bool | visible
| ) |  |  |

bool trackVisible | ( |  | self ) |